require 'openssl'
require 'digest'
require 'addressable/uri'
require 'deep_symbolize'
require 'json'
require 'httparty'

require 'bittrex-enterprise/version'
require 'bittrex-enterprise/api_helpers'
require 'bittrex-enterprise/account'
require 'bittrex-enterprise/addresses'
require 'bittrex-enterprise/balances'
require 'bittrex-enterprise/currencies'
require 'bittrex-enterprise/deposits'
require 'bittrex-enterprise/markets'
require 'bittrex-enterprise/orders'
require 'bittrex-enterprise/ping'
require 'bittrex-enterprise/sub_accounts'
require 'bittrex-enterprise/transfers'
require 'bittrex-enterprise/withdrawals'

# Gem to use Bittrex API
module BittrexEnterprise

  class << self
    attr_accessor :configuration
  end

  def self.setup
    @configuration ||= Configuration.new
    yield(configuration)
  end

  # Handles the Bittrex API keys
  class Configuration
    attr_accessor :key, :secret
    attr_reader :base_uri

    def initialize
      @key = ''
      @secret = ''
    end
  end

end
